%define major           1
%define libname         %mklibname uv %{major}
%define develname       %mklibname uv -d
%define staticdevelname %mklibname uv -d -s

Name:           libuv
Version:        1.44.2
%define subrel 1
Release:        %mkrel 2
Summary:        Platform layer for node.js
# the licensing breakdown is described in detail in the LICENSE file
License:        MIT and BSD and ISC
Group:          Development/C
URL:            https://libuv.org/
Source0:        https://dist.libuv.org/dist/v%{version}/%{name}-v%{version}.tar.gz
Source2:        libuv.pc.in
Patch0:         CVE-2024-24806.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all
platform differences in this library.

%package -n     %{libname}
Summary:        Platform layer for node.js
Group:          Development/C
Provides:       %{name} = %{version}-%{release}
# Previous package used wrong major in libname
Conflicts:      %{_lib}uv0 < 1.9.0

%description -n %{libname}
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all
platform differences in this library.

%package -n     %{develname}
Summary:        Development libraries for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       pkgconfig
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development libraries for %{name}.

%package -n     %{staticdevelname}
Summary:        Platform layer for node.js - static library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}

%description -n %{staticdevelname}
Static library (.a) version of %{name}.

%prep
%setup -q -n %{name}-v%{version}
%autopatch -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%check
# Tests are currently disabled because some require network access
# Working with upstream to split these out
#./run-tests
#./run-benchmarks

%files -n %{libname}
%doc README.md AUTHORS LICENSE
%{_libdir}/libuv.so.%{major}{,.*}

%files -n %{develname}
%doc README.md AUTHORS LICENSE
%{_libdir}/libuv.so
%{_libdir}/pkgconfig/libuv.pc
%{_includedir}/uv*.h
%{_includedir}/uv/

%files -n %{staticdevelname}
%{_libdir}/libuv.a


%changelog
* Tue Mar 19 2024 ns80 <ns80> 1.44.2-2.1.mga9
+ Revision: 2050830
- add a patch from Debian for CVE-2024-24806 (mga#32822)

* Thu May 04 2023 daviddavid <daviddavid> 1.44.2-2.mga9
+ Revision: 1955795
- fix owner of include dir

* Tue Jul 12 2022 kekepower <kekepower> 1.44.2-1.mga9
+ Revision: 1868662
- Update to version 1.44.2

* Wed Mar 16 2022 umeabot <umeabot> 1.44.1-2.mga9
+ Revision: 1794783
- Mageia 9 Mass Rebuild

* Thu Mar 10 2022 kekepower <kekepower> 1.44.1-1.mga9
+ Revision: 1790257
- Update to version 1.44.1

* Tue Mar 08 2022 kekepower <kekepower> 1.44.0-1.mga9
+ Revision: 1789765
- Update to version 1.44.0

* Fri Jul 23 2021 kekepower <kekepower> 1.42.0-1.mga9
+ Revision: 1737484
- Update to version 1.42.0

* Wed Jul 07 2021 kekepower <kekepower> 1.41.1-1.mga9
+ Revision: 1735131
- Update to version 1.41.1

* Tue Mar 02 2021 kekepower <kekepower> 1.41.0-1.mga9
+ Revision: 1696268
- Update to version 1.41.0

* Sun Oct 04 2020 shlomif <shlomif> 1.40.0-1.mga8
+ Revision: 1632214
- New version 1.40.0

* Sat Sep 05 2020 guillomovitch <guillomovitch> 1.39.0-1.mga8
+ Revision: 1622642
- new version 1.39.0

* Sun Aug 02 2020 shlomif <shlomif> 1.38.1-1.mga8
+ Revision: 1610648
- New version 1.38.1

* Mon May 25 2020 shlomif <shlomif> 1.38.0-1.mga8
+ Revision: 1587582
- New version 1.38.0

* Mon Apr 20 2020 shlomif <shlomif> 1.37.0-1.mga8
+ Revision: 1570029
- New version 1.37.0

* Fri Feb 21 2020 umeabot <umeabot> 1.34.2-2.mga8
+ Revision: 1547832
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 1.34.2-1.mga8
+ Revision: 1488455
- New version 1.34.2
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 16 2020 shlomif <shlomif> 1.34.1-1.mga8
+ Revision: 1478191
- New version 1.34.1

* Mon Dec 09 2019 shlomif <shlomif> 1.34.0-1.mga8
+ Revision: 1465413
- New version 1.34.0

* Sat Aug 24 2019 joequant <joequant> 1.31.0-1.mga8
+ Revision: 1431512
- update to 1.31.0

* Sat Jul 06 2019 shlomif <shlomif> 1.30.1-1.mga8
+ Revision: 1419070
- New version 1.30.1

* Sat Jun 29 2019 shlomif <shlomif> 1.30.0-1.mga8
+ Revision: 1416194
- New version 1.30.0

* Fri May 03 2019 daviddavid <daviddavid> 1.28.0-2.mga7
+ Revision: 1396303
- add upstream patch to fix `uv_fs_poll_stop()` when active

* Sun Apr 21 2019 shlomif <shlomif> 1.28.0-1.mga7
+ Revision: 1394260
- New version 1.28.0

* Fri Apr 05 2019 shlomif <shlomif> 1.27.0-1.mga7
+ Revision: 1386122
- New version 1.27.0

* Tue Feb 12 2019 shlomif <shlomif> 1.26.0-1.mga7
+ Revision: 1365916
- New version 1.26.0

* Mon Jan 28 2019 shlomif <shlomif> 1.25.0-1.mga7
+ Revision: 1361629
- New version 1.25.0

* Sat Dec 22 2018 shlomif <shlomif> 1.24.1-1.mga7
+ Revision: 1344505
- New version 1.24.1

* Thu Nov 22 2018 shlomif <shlomif> 1.24.0-1.mga7
+ Revision: 1333276
- New version 1.24.0

* Sun Oct 14 2018 shlomif <shlomif> 1.23.2-1.mga7
+ Revision: 1320324
- New version 1.23.2

* Sun Sep 23 2018 umeabot <umeabot> 1.23.0-2.mga7
+ Revision: 1299205
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 shlomif <shlomif> 1.23.0-1.mga7
+ Revision: 1253092
- New version 1.23.0

* Thu Jun 28 2018 shlomif <shlomif> 1.21.0-1.mga7
+ Revision: 1240634
- New version 1.21.0

* Thu May 10 2018 shlomif <shlomif> 1.20.3-1.mga7
+ Revision: 1228146
- New version 1.20.3

* Wed Apr 25 2018 shlomif <shlomif> 1.20.2-1.mga7
+ Revision: 1222392
- New version 1.20.2

* Mon Apr 16 2018 shlomif <shlomif> 1.20.0-1.mga7
+ Revision: 1219390
- New version 1.20.0

* Sat Mar 03 2018 shlomif <shlomif> 1.19.2-1.mga7
+ Revision: 1206387
- New version 1.19.2

* Mon Jan 22 2018 shlomif <shlomif> 1.19.1-1.mga7
+ Revision: 1196275
- New version 1.19.1

* Fri Dec 08 2017 shlomif <shlomif> 1.18.0-1.mga7
+ Revision: 1181707
- New version 1.18.0

* Tue Oct 24 2017 shlomif <shlomif> 1.15.0-1.mga7
+ Revision: 1173316
- New version 1.15.0

* Sun Jul 16 2017 shlomif <shlomif> 1.13.1-1.mga7
+ Revision: 1123866
- New version 1.13.1

* Mon May 16 2016 akien <akien> 1.9.0-4.mga6
+ Revision: 1016175
- Fix conflicts with libuv0
+ daviddavid <daviddavid>
- pass NOCONFIGURE=1 to autogen

* Mon May 16 2016 neoclust <neoclust> 1.9.0-3.mga6
+ Revision: 1015966
- Use major in file list
- Fix provides

* Sun May 15 2016 neoclust <neoclust> 1.9.0-1.mga6
+ Revision: 1015834
- New version

* Sun May 15 2016 neoclust <neoclust> 1.8.0-3.mga6
+ Revision: 1015657
- Add libuv provide

* Fri Feb 26 2016 luigiwalser <luigiwalser> 1.8.0-2.mga6
+ Revision: 979732
- rebuild with configure2_5x and makeinstall_std

* Sat Dec 19 2015 joequant <joequant> 1.8.0-1.mga6
+ Revision: 911871
- upgrade to 1.8.0

* Thu Aug 20 2015 shlomif <shlomif> 1.7.0-1.mga6
+ Revision: 866884
- Fix group
- Non-standard group
- Move the URL to be global - rpmlint
- Cleanups for Mageia
- Importing libuv from Fedora


* Tue Aug 18 2015 Shlomi Fish <shlomif@mageia.org> - 1.7.0
- Version upgrade.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 19 2015 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:1.4.0-1
- rebase to 1.4.0

* Thu Feb 19 2015 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.33-2
- add missing %%{_?isa} to devel requires of main package
- fix some issues with the pkgconfig file and Group reported by Michael Schwendt

* Thu Feb 19 2015 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.33-1
- new upstream release 0.10.33
  https://github.com/joyent/libuv/blob/v0.10.33/ChangeLog
- update URL to point to the new libuv.org

* Wed Nov 19 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.29-1
- new upstream release 0.10.29
  https://github.com/joyent/libuv/blob/v0.10.29/ChangeLog

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.10.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 01 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.28-1
- new upstream release 0.10.28
  https://github.com/joyent/libuv/blob/v0.10.28/ChangeLog

* Thu Jul 03 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.27-3
- build static library for rust (RHBZ#1115975)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.10.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 02 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.27-1
- new upstream release 0.10.27
  https://github.com/joyent/libuv/blob/v0.10.27/ChangeLog

* Thu Feb 20 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.25-1
- new upstream release 0.10.25
  https://github.com/joyent/libuv/blob/v0.10.25/ChangeLog

* Mon Jan 27 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.23-1
- new upstream release 0.10.23
  https://github.com/joyent/libuv/blob/v0.10.23/ChangeLog

* Thu Dec 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.21-1
- new upstream release 0.10.21
  https://github.com/joyent/libuv/blob/v0.10.21/ChangeLog

* Thu Dec 12 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.20-1
- new upstream release 0.10.20
  https://github.com/joyent/libuv/blob/v0.10.20/ChangeLog

* Tue Nov 12 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.19-1
- new upstream release 0.10.19
  https://github.com/joyent/libuv/blob/v0.10.19/ChangeLog

* Fri Oct 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.18-1
- new upstream release 0.10.18
  https://github.com/joyent/libuv/blob/v0.10.18/ChangeLog

* Wed Sep 25 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.17-1
- new upstream release 0.10.17
  https://github.com/joyent/libuv/blob/v0.10.17/ChangeLog

* Fri Sep 06 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.15-1
- new upstream release 0.10.15
  https://github.com/joyent/libuv/blob/v0.10.15/ChangeLog

* Tue Aug 27 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.14-1
- new upstream release 0.10.14
  https://github.com/joyent/libuv/blob/v0.10.14/ChangeLog

* Thu Jul 25 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.13-1
- new upstream release 0.10.13
  https://github.com/joyent/libuv/blob/v0.10.13/ChangeLog

* Wed Jul 10 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.12-1
- new upstream release 0.10.12

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.11-1
- new upstream release 0.10.11

* Fri May 31 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.9-1
- new upstream release 0.10.9

* Wed May 29 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.8-2
- fix License tag (RHBZ#968226)

* Wed May 29 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.8-1
- new upstream release 0.10.8

* Wed May 29 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.7-1
- new upstream release 0.10.7
- drop upstreamed patch from 0.10.5-2

* Mon May 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.5-3
- don't sed the soname in the spec anymore; the patch takes care of it now
- drop leftover global define for git revision

* Mon May 13 2013 Stephen Gallagher <sgallagh@redhat.com> - 1:0.10.5-2
- Add patch to properly report soname version information
  This patch will be included upstream in 0.10.6 and can be dropped then.
- Remove Bundles(ev) as this has not been true since 0.9.5

* Wed Apr 24 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.5-1
- new upstream release 0.10.5

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.4-1
- new upstream release 0.10.4
- drop upstreamed patch

* Thu Apr 04 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.3-2
- backport patch that fixes FTBFS in nodejs-0.10.3

* Sun Mar 31 2013 tchollingsworth@gmail.com - 1:0.10.3-1
- rebase to 0.10.3
- upstream now does proper releases

* Tue Mar 12 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1:0.10.0-2.git5462dab
- drop the patchlevel from the SONAME since libuv will retain binary
  compatibility for the life of the 0.10.x series

* Mon Mar 11 2013 Stephen Gallagher <sgallagh@redhat.com> - 1:0.10.0-1.git5462dab
- Upgrade to 0.10.0 release to match stable Node.js release

* Thu Feb 28 2013 Stephen Gallagher <sgallagh@redhat.com> - 1:0.9.4-4.gitdc559a5
- Bump epoch for the version downgrade
- The 0.9.7 version hit the Rawhide repo due to the mass rebuild, we need a
  clean upgrade path.

* Thu Feb 21 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.9.4-3.gitdc559a5
- Revert to version 0.9.4 (since 0.9.7 is breaking builds)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-2.git4ba03dd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 22 2013 Stephen Gallagher <sgallagh@redhat.com> - 0.9.7-1.git4ba03dd
- Bump to version included with Node.js 0.9.7

* Wed Dec 26 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.9.4-0.1.gitdc559a5
- bump to version included with node 0.9.4
- drop upstreamed patch
- respect optflags

* Thu Nov 15 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.9.3-0.3.git09b0222
- Add patch to export uv_inet_*

* Wed Nov 14 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.9.3-0.2.git09b0222
- Fixes from package review
- Removed doubly-listed include directory
- Update git tarball to the latest upstream code

* Thu Nov 08 2012 Stephen Gallagher <sgallagh@redhat.com> - 0.9.3-0.1.gitd56434a
- Initial package
